### Method

# AppStream ReviewsClient set_user_agent

#### Declaration [src]

    void
    as_reviews_client_set_user_agent (
      AsReviewsClient* rrc,
      const gchar* user_agent
    )

#### Description [src]

Set the user agent to use when communicating with the reviews server. Set it to `NULL` to restore the default user agent.

#### Parameters

`user_agent`

  Type: `const gchar*`

  The new user agent string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.